com.fasterxml.jackson.databind.util

## Class ArrayIterator<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ArrayIterator<T>

All Implemented Interfaces:
  Iterable<T>, Iterator<T>

    public class ArrayIterator<T>
    extends Object
    implements Iterator<T>, Iterable<T>

Iterator implementation used to efficiently expose contents of an Array as read-only iterator.

### Constructor Summary

Constructors
Constructor and Description
`ArrayIterator(T[] a)`

### Method Summary

Methods
`boolean` `hasNext()`
`Iterator<T>` `iterator()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayIterator

    public ArrayIterator(T[] a)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### iterator

    public Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`